Bullet Collision Detection & Physics Library: btCollisionDispatcherMt Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Protected Attributes | List of all members
btCollisionDispatcherMt Class Reference

`#include <btCollisionDispatcherMt.h>`

Inheritance diagram for btCollisionDispatcherMt:
[legend]
Collaboration diagram for btCollisionDispatcherMt:
[legend]

## Public Member Functions
| btCollisionDispatcherMt (btCollisionConfiguration *config, int grainSize=40)
virtual btPersistentManifold * | getNewManifold (const btCollisionObject *body0, const btCollisionObject *body1) BT_OVERRIDE
virtual void | releaseManifold (btPersistentManifold *manifold) BT_OVERRIDE
virtual void | dispatchAllCollisionPairs (btOverlappingPairCache *pairCache, const btDispatcherInfo &info, btDispatcher *dispatcher) BT_OVERRIDE
Public Member Functions inherited from btCollisionDispatcher
int | getDispatcherFlags () const
void | setDispatcherFlags (int flags)
void | registerCollisionCreateFunc (int proxyType0, int proxyType1, btCollisionAlgorithmCreateFunc *createFunc)
| registerCollisionCreateFunc allows registration of custom/alternative collision create functions More...
void | registerClosestPointsCreateFunc (int proxyType0, int proxyType1, btCollisionAlgorithmCreateFunc *createFunc)
int | getNumManifolds () const
btPersistentManifold ** | getInternalManifoldPointer ()
btPersistentManifold * | getManifoldByIndexInternal (int index)
const btPersistentManifold * | getManifoldByIndexInternal (int index) const
| btCollisionDispatcher (btCollisionConfiguration *collisionConfiguration)
virtual | ~btCollisionDispatcher ()
virtual btPersistentManifold * | getNewManifold (const btCollisionObject *b0, const btCollisionObject *b1)
virtual void | releaseManifold (btPersistentManifold *manifold)
virtual void | clearManifold (btPersistentManifold *manifold)
btCollisionAlgorithm * | findAlgorithm (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, btPersistentManifold *sharedManifold, ebtDispatcherQueryType queryType)
virtual bool | needsCollision (const btCollisionObject *body0, const btCollisionObject *body1)
virtual bool | needsResponse (const btCollisionObject *body0, const btCollisionObject *body1)
virtual void | dispatchAllCollisionPairs (btOverlappingPairCache *pairCache, const btDispatcherInfo &dispatchInfo, btDispatcher *dispatcher)
void | setNearCallback (btNearCallback nearCallback)
btNearCallback | getNearCallback () const
virtual void * | allocateCollisionAlgorithm (int size)
virtual void | freeCollisionAlgorithm (void *ptr)
btCollisionConfiguration * | getCollisionConfiguration ()
const btCollisionConfiguration * | getCollisionConfiguration () const
void | setCollisionConfiguration (btCollisionConfiguration *config)
virtual btPoolAllocator * | getInternalManifoldPool ()
virtual const btPoolAllocator * | getInternalManifoldPool () const
Public Member Functions inherited from btDispatcher
virtual | ~btDispatcher ()
virtual btCollisionAlgorithm * | findAlgorithm (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, btPersistentManifold *sharedManifold, ebtDispatcherQueryType queryType)=0
virtual btPersistentManifold * | getNewManifold (const btCollisionObject *b0, const btCollisionObject *b1)=0
virtual void | releaseManifold (btPersistentManifold *manifold)=0
virtual void | clearManifold (btPersistentManifold *manifold)=0
virtual bool | needsCollision (const btCollisionObject *body0, const btCollisionObject *body1)=0
virtual bool | needsResponse (const btCollisionObject *body0, const btCollisionObject *body1)=0
virtual void | dispatchAllCollisionPairs (btOverlappingPairCache *pairCache, const btDispatcherInfo &dispatchInfo, btDispatcher *dispatcher)=0
virtual int | getNumManifolds () const =0
virtual btPersistentManifold * | getManifoldByIndexInternal (int index)=0
virtual btPersistentManifold ** | getInternalManifoldPointer ()=0
virtual btPoolAllocator * | getInternalManifoldPool ()=0
virtual const btPoolAllocator * | getInternalManifoldPool () const =0
virtual void * | allocateCollisionAlgorithm (int size)=0
virtual void | freeCollisionAlgorithm (void *ptr)=0

## Protected Attributes
btAlignedObjectArray< btAlignedObjectArray< btPersistentManifold * > > | m_batchManifoldsPtr
btAlignedObjectArray< btAlignedObjectArray< btPersistentManifold * > > | m_batchReleasePtr
bool | m_batchUpdating
int | m_grainSize
Protected Attributes inherited from btCollisionDispatcher
int | m_dispatcherFlags
btAlignedObjectArray< btPersistentManifold * > | m_manifoldsPtr
btNearCallback | m_nearCallback
btPoolAllocator * | m_collisionAlgorithmPoolAllocator
btPoolAllocator * | m_persistentManifoldPoolAllocator
btCollisionAlgorithmCreateFunc * | m_doubleDispatchContactPoints [MAX_BROADPHASE_COLLISION_TYPES][MAX_BROADPHASE_COLLISION_TYPES]
btCollisionAlgorithmCreateFunc * | m_doubleDispatchClosestPoints [MAX_BROADPHASE_COLLISION_TYPES][MAX_BROADPHASE_COLLISION_TYPES]
btCollisionConfiguration * | m_collisionConfiguration

## Additional Inherited Members
Public Types inherited from btCollisionDispatcher
enum | DispatcherFlags { CD_STATIC_STATIC_REPORTED = 1 , CD_USE_RELATIVE_CONTACT_BREAKING_THRESHOLD = 2 , CD_DISABLE_CONTACTPOOL_DYNAMIC_ALLOCATION = 4 }
Static Public Member Functions inherited from btCollisionDispatcher
static void | defaultNearCallback (btBroadphasePair &collisionPair, btCollisionDispatcher &dispatcher, const btDispatcherInfo &dispatchInfo)

## Detailed Description

Definition at line 22 of file btCollisionDispatcherMt.h.

## Constructor & Destructor Documentation

## ◆ btCollisionDispatcherMt()

btCollisionDispatcherMt::btCollisionDispatcherMt | ( | btCollisionConfiguration * | config,
|  | int | grainSize = `40`
| ) |  |

Definition at line 28 of file btCollisionDispatcherMt.cpp.

## Member Function Documentation

## ◆ dispatchAllCollisionPairs()

void btCollisionDispatcherMt::dispatchAllCollisionPairs | ( | btOverlappingPairCache * | pairCache,
|  | const btDispatcherInfo & | info,
|  | btDispatcher * | dispatcher
| ) |  |
| virtual

Reimplemented from btCollisionDispatcher.

Definition at line 133 of file btCollisionDispatcherMt.cpp.

## ◆ getNewManifold()

btPersistentManifold * btCollisionDispatcherMt::getNewManifold | ( | const btCollisionObject * | body0,
|  | const btCollisionObject * | body1
| ) |  |
| virtual

Reimplemented from btCollisionDispatcher.

Definition at line 38 of file btCollisionDispatcherMt.cpp.

## ◆ releaseManifold()

void btCollisionDispatcherMt::releaseManifold | ( | btPersistentManifold * | manifold | ) |
| virtual

Reimplemented from btCollisionDispatcher.

Definition at line 79 of file btCollisionDispatcherMt.cpp.

## Member Data Documentation

## ◆ m_batchManifoldsPtr

btAlignedObjectArray<btAlignedObjectArray<btPersistentManifold*> > btCollisionDispatcherMt::m_batchManifoldsPtr
| protected

Definition at line 33 of file btCollisionDispatcherMt.h.

## ◆ m_batchReleasePtr

btAlignedObjectArray<btAlignedObjectArray<btPersistentManifold*> > btCollisionDispatcherMt::m_batchReleasePtr
| protected

Definition at line 34 of file btCollisionDispatcherMt.h.

## ◆ m_batchUpdating

bool btCollisionDispatcherMt::m_batchUpdating
| protected

Definition at line 35 of file btCollisionDispatcherMt.h.

## ◆ m_grainSize

int btCollisionDispatcherMt::m_grainSize
| protected

Definition at line 36 of file btCollisionDispatcherMt.h.

The documentation for this class was generated from the following files:

- btCollisionDispatcherMt.h
- btCollisionDispatcherMt.cpp